package hr.algebra.nasa.api

import android.content.Context
import android.content.Intent
import hr.algebra.nasa.HostActivity
import hr.algebra.nasa.NasaReceiver
import hr.algebra.nasa.framework.sendBroadcast

class NasaFetcher(private val context: Context) {

    fun fetchItems(count: Int = 10) {
        // bg process
        // BG
        Thread.sleep(6000)

        // back to the FG
        context.sendBroadcast<NasaReceiver>()
    }

}